//========================================================================================
//
//	File:				FWATxtIt.cpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================
// We separate the archiving functions into their own translation units in order to
// enable dead-stripping.

#include "FWOS.hpp"

#ifndef FWMNUITM_H
#include "FWMnuItm.h"
#endif

//========================================================================================
// File scope definitions
//========================================================================================

#ifdef FW_BUILD_MAC
#pragma segment fwmenu
#endif

//========================================================================================
//	class FW_CTextItem
//========================================================================================

const FW_ClassTypeConstant FW_LTextItem = FW_TYPE_CONSTANT('t','x','i','t');
FW_REGISTER_ARCHIVABLE_CLASS(FW_LTextItem, FW_CTextItem, FW_CTextItem::Read, 0, 0, FW_CMenuItem::Write)

//----------------------------------------------------------------------------------------
//	FW_CTextItem::Read
//----------------------------------------------------------------------------------------

void* FW_CTextItem::Read(FW_CReadableStream& stream, FW_ClassTypeConstant type)
{
FW_UNUSED(type);
	FW_SOMEnvironment ev;
	return FW_NEW(FW_CTextItem, (ev, stream));
}

